Subject: lads as B-2

From: [email-masked] (Xi Qin)
Date: Mon, 10 Jan 94 15:05:37 CST

Hi,
    Does any one have the same situation as the following, if you do,
I would appreciate any infomation from you and thank you in advance.
    I have PR through CSPA.  My daughter came from China in November.
I would like to keep her here with me, and I already filed I-824 before
she came, but I only got a receipt in September, no further actions so
far as I know.
    My question is what would be appropriate further step which I should
take to get her PR process start going?
    Any comments or suggestions are very welcome!!